"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.covector = void 0;
const init_1 = require("./init");
const add_1 = require("./add");
const status_1 = require("./status");
const config_1 = require("./config");
const version_1 = require("./version");
const preview_1 = require("./preview");
const publish_1 = require("./publish");
const arbitrary_1 = require("./arbitrary");
function* covector({ 
// shared
command, cwd = process.cwd(), logs = true, 
// usage inputs
dryRun = false, filterPackages = [], modifyConfig = (c) => __awaiter(this, void 0, void 0, function* () { return c; }), previewVersion = "", branchTag = "", 
// setup inputs
changeFolder = ".changes", yes = false, createContext, }) {
    if (command === "init") {
        return yield (0, init_1.init)({ cwd, changeFolder, yes });
    }
    else if (command === "add") {
        return yield (0, add_1.add)({ cwd, changeFolder, yes });
    }
    else if (command === "config") {
        return yield (0, config_1.config)({ cwd, modifyConfig });
    }
    else if (command === "status") {
        return yield (0, status_1.status)({
            command,
            dryRun,
            cwd,
            logs,
            filterPackages,
            modifyConfig,
            branchTag,
        });
    }
    else if (command === "version") {
        return yield (0, version_1.version)({
            command,
            dryRun,
            cwd,
            filterPackages,
            modifyConfig,
            createContext,
        });
    }
    else if (command === "preview") {
        return yield (0, preview_1.preview)({
            command,
            dryRun,
            cwd,
            filterPackages,
            modifyConfig,
            previewVersion,
            branchTag,
        });
    }
    else if (command === "publish") {
        return yield (0, publish_1.publish)({
            command,
            dryRun,
            cwd,
            filterPackages,
            modifyConfig,
        });
    }
    else {
        return yield (0, arbitrary_1.arbitrary)({
            command,
            dryRun,
            cwd,
            filterPackages,
            modifyConfig,
        });
    }
}
exports.covector = covector;
